ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-2.0/configure
(Generate patch)

Comparing trunk/OOPSE-2.0/configure (file contents):
Revision 2453 by gezelter, Thu Nov 17 20:39:59 2005 UTC vs.
Revision 2473 by gezelter, Fri Dec 2 20:09:55 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP CXXCPP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CXXCPP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 777 | Line 777 | ac_env_F90_set=${F90+set}
777   ac_env_CXXFLAGS_value=$CXXFLAGS
778   ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
779   ac_cv_env_CXXFLAGS_value=$CXXFLAGS
780 + ac_env_CPP_set=${CPP+set}
781 + ac_env_CPP_value=$CPP
782 + ac_cv_env_CPP_set=${CPP+set}
783 + ac_cv_env_CPP_value=$CPP
784   ac_env_F90_set=${F90+set}
785   ac_env_F90_value=$F90
786   ac_cv_env_F90_set=${F90+set}
# Line 785 | Line 789 | ac_env_CPP_set=${CPP+set}
789   ac_env_F90FLAGS_value=$F90FLAGS
790   ac_cv_env_F90FLAGS_set=${F90FLAGS+set}
791   ac_cv_env_F90FLAGS_value=$F90FLAGS
788 ac_env_CPP_set=${CPP+set}
789 ac_env_CPP_value=$CPP
790 ac_cv_env_CPP_set=${CPP+set}
791 ac_cv_env_CPP_value=$CPP
792   ac_env_CXXCPP_set=${CXXCPP+set}
793   ac_env_CXXCPP_value=$CXXCPP
794   ac_cv_env_CXXCPP_set=${CXXCPP+set}
# Line 896 | Line 896 | Some influential environment variables:
896                headers in a nonstandard directory <include dir>
897    CXX         C++ compiler command
898    CXXFLAGS    C++ compiler flags
899 +  CPP         C preprocessor
900    F90         Fortran 90 compiler command
901    F90FLAGS    Fortran 90 compiler flags
901  CPP         C preprocessor
902    CXXCPP      C++ preprocessor
903  
904   Use these variables to override the choices made by `configure' or to help
# Line 3038 | Line 3038 | fi
3038    echo '#ifdef __cplusplus' >>confdefs.h
3039    echo $ac_declaration      >>confdefs.h
3040    echo '#endif'             >>confdefs.h
3041 + fi
3042 +
3043 + ac_ext=c
3044 + ac_cpp='$CPP $CPPFLAGS'
3045 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3046 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3047 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
3048 +
3049 +
3050 + ac_ext=c
3051 + ac_cpp='$CPP $CPPFLAGS'
3052 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3053 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3054 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
3055 + echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
3056 + echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
3057 + # On Suns, sometimes $CPP names a directory.
3058 + if test -n "$CPP" && test -d "$CPP"; then
3059 +  CPP=
3060 + fi
3061 + if test -z "$CPP"; then
3062 +  if test "${ac_cv_prog_CPP+set}" = set; then
3063 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3064 + else
3065 +      # Double quotes because CPP needs to be expanded
3066 +    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
3067 +    do
3068 +      ac_preproc_ok=false
3069 + for ac_c_preproc_warn_flag in '' yes
3070 + do
3071 +  # Use a header file that comes with gcc, so configuring glibc
3072 +  # with a fresh cross-compiler works.
3073 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3074 +  # <limits.h> exists even on freestanding compilers.
3075 +  # On the NeXT, cc -E runs the code through the compiler's parser,
3076 +  # not just through cpp. "Syntax error" is here to catch this case.
3077 +  cat >conftest.$ac_ext <<_ACEOF
3078 + /* confdefs.h.  */
3079 + _ACEOF
3080 + cat confdefs.h >>conftest.$ac_ext
3081 + cat >>conftest.$ac_ext <<_ACEOF
3082 + /* end confdefs.h.  */
3083 + #ifdef __STDC__
3084 + # include <limits.h>
3085 + #else
3086 + # include <assert.h>
3087 + #endif
3088 +                     Syntax error
3089 + _ACEOF
3090 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3091 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3092 +  ac_status=$?
3093 +  grep -v '^ *+' conftest.er1 >conftest.err
3094 +  rm -f conftest.er1
3095 +  cat conftest.err >&5
3096 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3097 +  (exit $ac_status); } >/dev/null; then
3098 +  if test -s conftest.err; then
3099 +    ac_cpp_err=$ac_c_preproc_warn_flag
3100 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3101 +  else
3102 +    ac_cpp_err=
3103 +  fi
3104 + else
3105 +  ac_cpp_err=yes
3106 + fi
3107 + if test -z "$ac_cpp_err"; then
3108 +  :
3109 + else
3110 +  echo "$as_me: failed program was:" >&5
3111 + sed 's/^/| /' conftest.$ac_ext >&5
3112 +
3113 +  # Broken: fails on valid input.
3114 + continue
3115 + fi
3116 + rm -f conftest.err conftest.$ac_ext
3117 +
3118 +  # OK, works on sane cases.  Now check whether non-existent headers
3119 +  # can be detected and how.
3120 +  cat >conftest.$ac_ext <<_ACEOF
3121 + /* confdefs.h.  */
3122 + _ACEOF
3123 + cat confdefs.h >>conftest.$ac_ext
3124 + cat >>conftest.$ac_ext <<_ACEOF
3125 + /* end confdefs.h.  */
3126 + #include <ac_nonexistent.h>
3127 + _ACEOF
3128 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3129 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3130 +  ac_status=$?
3131 +  grep -v '^ *+' conftest.er1 >conftest.err
3132 +  rm -f conftest.er1
3133 +  cat conftest.err >&5
3134 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3135 +  (exit $ac_status); } >/dev/null; then
3136 +  if test -s conftest.err; then
3137 +    ac_cpp_err=$ac_c_preproc_warn_flag
3138 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3139 +  else
3140 +    ac_cpp_err=
3141 +  fi
3142 + else
3143 +  ac_cpp_err=yes
3144 + fi
3145 + if test -z "$ac_cpp_err"; then
3146 +  # Broken: success on invalid input.
3147 + continue
3148 + else
3149 +  echo "$as_me: failed program was:" >&5
3150 + sed 's/^/| /' conftest.$ac_ext >&5
3151 +
3152 +  # Passes both tests.
3153 + ac_preproc_ok=:
3154 + break
3155 + fi
3156 + rm -f conftest.err conftest.$ac_ext
3157 +
3158 + done
3159 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3160 + rm -f conftest.err conftest.$ac_ext
3161 + if $ac_preproc_ok; then
3162 +  break
3163 + fi
3164 +
3165 +    done
3166 +    ac_cv_prog_CPP=$CPP
3167 +
3168 + fi
3169 +  CPP=$ac_cv_prog_CPP
3170 + else
3171 +  ac_cv_prog_CPP=$CPP
3172 + fi
3173 + echo "$as_me:$LINENO: result: $CPP" >&5
3174 + echo "${ECHO_T}$CPP" >&6
3175 + ac_preproc_ok=false
3176 + for ac_c_preproc_warn_flag in '' yes
3177 + do
3178 +  # Use a header file that comes with gcc, so configuring glibc
3179 +  # with a fresh cross-compiler works.
3180 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3181 +  # <limits.h> exists even on freestanding compilers.
3182 +  # On the NeXT, cc -E runs the code through the compiler's parser,
3183 +  # not just through cpp. "Syntax error" is here to catch this case.
3184 +  cat >conftest.$ac_ext <<_ACEOF
3185 + /* confdefs.h.  */
3186 + _ACEOF
3187 + cat confdefs.h >>conftest.$ac_ext
3188 + cat >>conftest.$ac_ext <<_ACEOF
3189 + /* end confdefs.h.  */
3190 + #ifdef __STDC__
3191 + # include <limits.h>
3192 + #else
3193 + # include <assert.h>
3194 + #endif
3195 +                     Syntax error
3196 + _ACEOF
3197 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3198 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3199 +  ac_status=$?
3200 +  grep -v '^ *+' conftest.er1 >conftest.err
3201 +  rm -f conftest.er1
3202 +  cat conftest.err >&5
3203 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3204 +  (exit $ac_status); } >/dev/null; then
3205 +  if test -s conftest.err; then
3206 +    ac_cpp_err=$ac_c_preproc_warn_flag
3207 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3208 +  else
3209 +    ac_cpp_err=
3210 +  fi
3211 + else
3212 +  ac_cpp_err=yes
3213   fi
3214 + if test -z "$ac_cpp_err"; then
3215 +  :
3216 + else
3217 +  echo "$as_me: failed program was:" >&5
3218 + sed 's/^/| /' conftest.$ac_ext >&5
3219  
3220 +  # Broken: fails on valid input.
3221 + continue
3222 + fi
3223 + rm -f conftest.err conftest.$ac_ext
3224 +
3225 +  # OK, works on sane cases.  Now check whether non-existent headers
3226 +  # can be detected and how.
3227 +  cat >conftest.$ac_ext <<_ACEOF
3228 + /* confdefs.h.  */
3229 + _ACEOF
3230 + cat confdefs.h >>conftest.$ac_ext
3231 + cat >>conftest.$ac_ext <<_ACEOF
3232 + /* end confdefs.h.  */
3233 + #include <ac_nonexistent.h>
3234 + _ACEOF
3235 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3236 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3237 +  ac_status=$?
3238 +  grep -v '^ *+' conftest.er1 >conftest.err
3239 +  rm -f conftest.er1
3240 +  cat conftest.err >&5
3241 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3242 +  (exit $ac_status); } >/dev/null; then
3243 +  if test -s conftest.err; then
3244 +    ac_cpp_err=$ac_c_preproc_warn_flag
3245 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3246 +  else
3247 +    ac_cpp_err=
3248 +  fi
3249 + else
3250 +  ac_cpp_err=yes
3251 + fi
3252 + if test -z "$ac_cpp_err"; then
3253 +  # Broken: success on invalid input.
3254 + continue
3255 + else
3256 +  echo "$as_me: failed program was:" >&5
3257 + sed 's/^/| /' conftest.$ac_ext >&5
3258 +
3259 +  # Passes both tests.
3260 + ac_preproc_ok=:
3261 + break
3262 + fi
3263 + rm -f conftest.err conftest.$ac_ext
3264 +
3265 + done
3266 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3267 + rm -f conftest.err conftest.$ac_ext
3268 + if $ac_preproc_ok; then
3269 +  :
3270 + else
3271 +  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
3272 + See \`config.log' for more details." >&5
3273 + echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
3274 + See \`config.log' for more details." >&2;}
3275 +   { (exit 1); exit 1; }; }
3276 + fi
3277 +
3278   ac_ext=c
3279   ac_cpp='$CPP $CPPFLAGS'
3280   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3281   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3282   ac_compiler_gnu=$ac_cv_c_compiler_gnu
3283 +
3284 +
3285 + echo "$as_me:$LINENO: checking for egrep" >&5
3286 + echo $ECHO_N "checking for egrep... $ECHO_C" >&6
3287 + if test "${ac_cv_prog_egrep+set}" = set; then
3288 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3289 + else
3290 +  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
3291 +    then ac_cv_prog_egrep='grep -E'
3292 +    else ac_cv_prog_egrep='egrep'
3293 +    fi
3294 + fi
3295 + echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
3296 + echo "${ECHO_T}$ac_cv_prog_egrep" >&6
3297 + EGREP=$ac_cv_prog_egrep
3298 +
3299  
3300  
3301   OOPSE_TEMPLATE_FLAGS=""
# Line 3555 | Line 3806 | F90FLAGS="$F90FLAGS $ac_verb"
3806   ac_save_F90FLAGS=$F90FLAGS
3807   F90FLAGS="$F90FLAGS $ac_verb"
3808  
3809 < (eval echo $as_me:3558: \"$ac_link\") >&5
3809 > (eval echo $as_me:3809: \"$ac_link\") >&5
3810   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3811   echo "$ac_f90_v_output" >&5
3812   F90FLAGS=$ac_save_F90FLAGS
# Line 3632 | Line 3883 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3883   ac_save_F90FLAGS=$F90FLAGS
3884   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3885  
3886 < (eval echo $as_me:3635: \"$ac_link\") >&5
3886 > (eval echo $as_me:3886: \"$ac_link\") >&5
3887   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3888   echo "$ac_f90_v_output" >&5
3889   F90FLAGS=$ac_save_F90FLAGS
# Line 4554 | Line 4805 | ac_ext=c
4805   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4806   ac_compiler_gnu=$ac_cv_c_compiler_gnu
4807  
4557 ac_ext=c
4558 ac_cpp='$CPP $CPPFLAGS'
4559 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4560 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4561 ac_compiler_gnu=$ac_cv_c_compiler_gnu
4562 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
4563 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
4564 # On Suns, sometimes $CPP names a directory.
4565 if test -n "$CPP" && test -d "$CPP"; then
4566  CPP=
4567 fi
4568 if test -z "$CPP"; then
4569  if test "${ac_cv_prog_CPP+set}" = set; then
4570  echo $ECHO_N "(cached) $ECHO_C" >&6
4571 else
4572      # Double quotes because CPP needs to be expanded
4573    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
4574    do
4575      ac_preproc_ok=false
4576 for ac_c_preproc_warn_flag in '' yes
4577 do
4578  # Use a header file that comes with gcc, so configuring glibc
4579  # with a fresh cross-compiler works.
4580  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4581  # <limits.h> exists even on freestanding compilers.
4582  # On the NeXT, cc -E runs the code through the compiler's parser,
4583  # not just through cpp. "Syntax error" is here to catch this case.
4584  cat >conftest.$ac_ext <<_ACEOF
4585 /* confdefs.h.  */
4586 _ACEOF
4587 cat confdefs.h >>conftest.$ac_ext
4588 cat >>conftest.$ac_ext <<_ACEOF
4589 /* end confdefs.h.  */
4590 #ifdef __STDC__
4591 # include <limits.h>
4592 #else
4593 # include <assert.h>
4594 #endif
4595                     Syntax error
4596 _ACEOF
4597 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4598  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4599  ac_status=$?
4600  grep -v '^ *+' conftest.er1 >conftest.err
4601  rm -f conftest.er1
4602  cat conftest.err >&5
4603  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4604  (exit $ac_status); } >/dev/null; then
4605  if test -s conftest.err; then
4606    ac_cpp_err=$ac_c_preproc_warn_flag
4607    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4608  else
4609    ac_cpp_err=
4610  fi
4611 else
4612  ac_cpp_err=yes
4613 fi
4614 if test -z "$ac_cpp_err"; then
4615  :
4616 else
4617  echo "$as_me: failed program was:" >&5
4618 sed 's/^/| /' conftest.$ac_ext >&5
4619
4620  # Broken: fails on valid input.
4621 continue
4622 fi
4623 rm -f conftest.err conftest.$ac_ext
4624
4625  # OK, works on sane cases.  Now check whether non-existent headers
4626  # can be detected and how.
4627  cat >conftest.$ac_ext <<_ACEOF
4628 /* confdefs.h.  */
4629 _ACEOF
4630 cat confdefs.h >>conftest.$ac_ext
4631 cat >>conftest.$ac_ext <<_ACEOF
4632 /* end confdefs.h.  */
4633 #include <ac_nonexistent.h>
4634 _ACEOF
4635 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4636  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4637  ac_status=$?
4638  grep -v '^ *+' conftest.er1 >conftest.err
4639  rm -f conftest.er1
4640  cat conftest.err >&5
4641  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4642  (exit $ac_status); } >/dev/null; then
4643  if test -s conftest.err; then
4644    ac_cpp_err=$ac_c_preproc_warn_flag
4645    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4646  else
4647    ac_cpp_err=
4648  fi
4649 else
4650  ac_cpp_err=yes
4651 fi
4652 if test -z "$ac_cpp_err"; then
4653  # Broken: success on invalid input.
4654 continue
4655 else
4656  echo "$as_me: failed program was:" >&5
4657 sed 's/^/| /' conftest.$ac_ext >&5
4658
4659  # Passes both tests.
4660 ac_preproc_ok=:
4661 break
4662 fi
4663 rm -f conftest.err conftest.$ac_ext
4664
4665 done
4666 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
4667 rm -f conftest.err conftest.$ac_ext
4668 if $ac_preproc_ok; then
4669  break
4670 fi
4671
4672    done
4673    ac_cv_prog_CPP=$CPP
4674
4675 fi
4676  CPP=$ac_cv_prog_CPP
4677 else
4678  ac_cv_prog_CPP=$CPP
4679 fi
4680 echo "$as_me:$LINENO: result: $CPP" >&5
4681 echo "${ECHO_T}$CPP" >&6
4682 ac_preproc_ok=false
4683 for ac_c_preproc_warn_flag in '' yes
4684 do
4685  # Use a header file that comes with gcc, so configuring glibc
4686  # with a fresh cross-compiler works.
4687  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4688  # <limits.h> exists even on freestanding compilers.
4689  # On the NeXT, cc -E runs the code through the compiler's parser,
4690  # not just through cpp. "Syntax error" is here to catch this case.
4691  cat >conftest.$ac_ext <<_ACEOF
4692 /* confdefs.h.  */
4693 _ACEOF
4694 cat confdefs.h >>conftest.$ac_ext
4695 cat >>conftest.$ac_ext <<_ACEOF
4696 /* end confdefs.h.  */
4697 #ifdef __STDC__
4698 # include <limits.h>
4699 #else
4700 # include <assert.h>
4701 #endif
4702                     Syntax error
4703 _ACEOF
4704 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4705  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4706  ac_status=$?
4707  grep -v '^ *+' conftest.er1 >conftest.err
4708  rm -f conftest.er1
4709  cat conftest.err >&5
4710  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4711  (exit $ac_status); } >/dev/null; then
4712  if test -s conftest.err; then
4713    ac_cpp_err=$ac_c_preproc_warn_flag
4714    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4715  else
4716    ac_cpp_err=
4717  fi
4718 else
4719  ac_cpp_err=yes
4720 fi
4721 if test -z "$ac_cpp_err"; then
4722  :
4723 else
4724  echo "$as_me: failed program was:" >&5
4725 sed 's/^/| /' conftest.$ac_ext >&5
4726
4727  # Broken: fails on valid input.
4728 continue
4729 fi
4730 rm -f conftest.err conftest.$ac_ext
4731
4732  # OK, works on sane cases.  Now check whether non-existent headers
4733  # can be detected and how.
4734  cat >conftest.$ac_ext <<_ACEOF
4735 /* confdefs.h.  */
4736 _ACEOF
4737 cat confdefs.h >>conftest.$ac_ext
4738 cat >>conftest.$ac_ext <<_ACEOF
4739 /* end confdefs.h.  */
4740 #include <ac_nonexistent.h>
4741 _ACEOF
4742 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4743  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4744  ac_status=$?
4745  grep -v '^ *+' conftest.er1 >conftest.err
4746  rm -f conftest.er1
4747  cat conftest.err >&5
4748  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4749  (exit $ac_status); } >/dev/null; then
4750  if test -s conftest.err; then
4751    ac_cpp_err=$ac_c_preproc_warn_flag
4752    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4753  else
4754    ac_cpp_err=
4755  fi
4756 else
4757  ac_cpp_err=yes
4758 fi
4759 if test -z "$ac_cpp_err"; then
4760  # Broken: success on invalid input.
4761 continue
4762 else
4763  echo "$as_me: failed program was:" >&5
4764 sed 's/^/| /' conftest.$ac_ext >&5
4808  
4766  # Passes both tests.
4767 ac_preproc_ok=:
4768 break
4769 fi
4770 rm -f conftest.err conftest.$ac_ext
4771
4772 done
4773 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
4774 rm -f conftest.err conftest.$ac_ext
4775 if $ac_preproc_ok; then
4776  :
4777 else
4778  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
4779 See \`config.log' for more details." >&5
4780 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
4781 See \`config.log' for more details." >&2;}
4782   { (exit 1); exit 1; }; }
4783 fi
4784
4785 ac_ext=c
4786 ac_cpp='$CPP $CPPFLAGS'
4787 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4788 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4789 ac_compiler_gnu=$ac_cv_c_compiler_gnu
4790
4791
4792 echo "$as_me:$LINENO: checking for egrep" >&5
4793 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
4794 if test "${ac_cv_prog_egrep+set}" = set; then
4795  echo $ECHO_N "(cached) $ECHO_C" >&6
4796 else
4797  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
4798    then ac_cv_prog_egrep='grep -E'
4799    else ac_cv_prog_egrep='egrep'
4800    fi
4801 fi
4802 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
4803 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
4804 EGREP=$ac_cv_prog_egrep
4805
4806
4809   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
4810   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
4811   if test "${ac_cv_header_stdc+set}" = set; then
# Line 6572 | Line 6574 | done
6574   done
6575  
6576  
6577 +
6578 +
6579 +
6580 + for ac_func in rint snprintf sranddev strncasecmp
6581 + do
6582 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
6583 + echo "$as_me:$LINENO: checking for $ac_func" >&5
6584 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
6585 + if eval "test \"\${$as_ac_var+set}\" = set"; then
6586 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6587 + else
6588 +  cat >conftest.$ac_ext <<_ACEOF
6589 + /* confdefs.h.  */
6590 + _ACEOF
6591 + cat confdefs.h >>conftest.$ac_ext
6592 + cat >>conftest.$ac_ext <<_ACEOF
6593 + /* end confdefs.h.  */
6594 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
6595 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
6596 + #define $ac_func innocuous_$ac_func
6597  
6598 + /* System header to define __stub macros and hopefully few prototypes,
6599 +    which can conflict with char $ac_func (); below.
6600 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
6601 +    <limits.h> exists even on freestanding compilers.  */
6602  
6603 + #ifdef __STDC__
6604 + # include <limits.h>
6605 + #else
6606 + # include <assert.h>
6607 + #endif
6608  
6609 + #undef $ac_func
6610  
6611 + /* Override any gcc2 internal prototype to avoid an error.  */
6612 + #ifdef __cplusplus
6613 + extern "C"
6614 + {
6615 + #endif
6616 + /* We use char because int might match the return type of a gcc2
6617 +   builtin and then its argument prototype would still apply.  */
6618 + char $ac_func ();
6619 + /* The GNU C library defines this for functions which it implements
6620 +    to always fail with ENOSYS.  Some functions are actually named
6621 +    something starting with __ and the normal name is an alias.  */
6622 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
6623 + choke me
6624 + #else
6625 + char (*f) () = $ac_func;
6626 + #endif
6627 + #ifdef __cplusplus
6628 + }
6629 + #endif
6630 +
6631 + int
6632 + main ()
6633 + {
6634 + return f != $ac_func;
6635 +  ;
6636 +  return 0;
6637 + }
6638 + _ACEOF
6639 + rm -f conftest.$ac_objext conftest$ac_exeext
6640 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6641 +  (eval $ac_link) 2>conftest.er1
6642 +  ac_status=$?
6643 +  grep -v '^ *+' conftest.er1 >conftest.err
6644 +  rm -f conftest.er1
6645 +  cat conftest.err >&5
6646 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6647 +  (exit $ac_status); } &&
6648 +         { ac_try='test -z "$ac_c_werror_flag"
6649 +                         || test ! -s conftest.err'
6650 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6651 +  (eval $ac_try) 2>&5
6652 +  ac_status=$?
6653 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6654 +  (exit $ac_status); }; } &&
6655 +         { ac_try='test -s conftest$ac_exeext'
6656 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6657 +  (eval $ac_try) 2>&5
6658 +  ac_status=$?
6659 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6660 +  (exit $ac_status); }; }; then
6661 +  eval "$as_ac_var=yes"
6662 + else
6663 +  echo "$as_me: failed program was:" >&5
6664 + sed 's/^/| /' conftest.$ac_ext >&5
6665 +
6666 + eval "$as_ac_var=no"
6667 + fi
6668 + rm -f conftest.err conftest.$ac_objext \
6669 +      conftest$ac_exeext conftest.$ac_ext
6670 + fi
6671 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
6672 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
6673 + if test `eval echo '${'$as_ac_var'}'` = yes; then
6674 +  cat >>confdefs.h <<_ACEOF
6675 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
6676 + _ACEOF
6677 +
6678 + fi
6679 + done
6680 +
6681 +
6682 +
6683 +
6684 +
6685 +
6686   for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
6687   do
6688   as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
# Line 11121 | Line 11228 | s,@OOPSE_TEMPLATE_FLAGS@,$OOPSE_TEMPLATE_FLAGS,;t t
11228   s,@CXX@,$CXX,;t t
11229   s,@CXXFLAGS@,$CXXFLAGS,;t t
11230   s,@ac_ct_CXX@,$ac_ct_CXX,;t t
11231 + s,@CPP@,$CPP,;t t
11232 + s,@EGREP@,$EGREP,;t t
11233   s,@OOPSE_TEMPLATE_FLAGS@,$OOPSE_TEMPLATE_FLAGS,;t t
11234   s,@EXTRA_CC_FLAG@,$EXTRA_CC_FLAG,;t t
11235   s,@F90@,$F90,;t t
# Line 11136 | Line 11245 | s,@CPP@,$CPP,;t t
11245   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
11246   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
11247   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
11139 s,@CPP@,$CPP,;t t
11140 s,@EGREP@,$EGREP,;t t
11248   s,@CXXCPP@,$CXXCPP,;t t
11249   s,@LIBOBJS@,$LIBOBJS,;t t
11250   s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines